import { AvailableLeagueDTO } from '../dtos/AvailableLeagueDTO';

export class AvailableLeaguesPresenter {
  private result: AvailableLeagueDTO[] | null = null;

  reset() {
    this.result = null;
  }

  present(leagues: AvailableLeagueDTO[]) {
    this.result = leagues;
  }

  getViewModel(): AvailableLeagueDTO[] | null {
    return this.result;
  }

  get viewModel(): AvailableLeagueDTO[] | null {
    return this.result;
  }
}
